Subject: bug#59290: 29.0.50; [PATCH] Buffer-localize temporary-goal-column

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 15:17:58 +0300

> From: dick <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 03 Sep 2023 08:04:56 -0400
> 
> >>> +  (skip-unless (not noninteractive))  <<<<<<<<<<<<<<<<<<<<<<<
> 
> Whoever came up with skip-unless and noninteractive sought max obfuscation.
> 
> EZ is confused because the quadruple negative distills to "proceed if
> interactive", the opposite of his conclusion.

I might be confused about the condition, but you seem to be confused
about the results: when I evaluate this program, the final column is
zero (zerop returns t), so I see no problem.  Assuming you wanted to
demonstrate a problem in Emacs rather than in my code-reading
abilities, the ball is still in your court.